complexType "GrossCashflow"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (cashflowId?, partyTradeIdentifierReference?, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, cashflowAmount?)?, cashflowType?
</...>

Content Model Elements (8):

  cashflowAmount,
  cashflowId,
  cashflowType (defined in GrossCashflow complexType),
  partyTradeIdentifierReference,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (2):

  grossCashflow (defined in CalculationDetails complexType), | grossCashflow (defined in PaymentDetails complexType)

Known Usage Locations

- As direct type of elements (2):

  grossCashflow (defined in CalculationDetails complexType), | grossCashflow (defined in PaymentDetails complexType)

Annotation
A payment component owed from one party to the other for the cash flow date. This payment component should by of only a single type, e.g. a fee or a cashflow from a cashflow stream.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="GrossCashflow"> <xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="cashflowId" type="CashflowId"/> <xsd:element minOccurs="0" name="partyTradeIdentifierReference" type="PartyTradeIdentifierReference"/> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="cashflowAmount" type="Money"/> </xsd:sequence> <xsd:element minOccurs="0" name="cashflowType" type="CashflowType"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/8)
cashflowAmount

  Type: | Money, complex content

  Cash flow amount in a given currency to be paid/received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashflowAmount" type="Money"/>

cashflowId

  Type: | CashflowId, simple content

  Unique identifier for a cash flow.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashflowId" type="CashflowId"/>

cashflowType

  Type: | CashflowType, simple content

  Defines the type of cash flow. For instance, a type of fee, premium, principal exchange, leg fee.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashflowType" type="CashflowType"/>

partyTradeIdentifierReference

  Type: | PartyTradeIdentifierReference, empty content

  Pointer-style reference to the partyTradeIdentifier block within the tradeIdentifyingItems collection, which identifies the parent trade for this cashflow.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyTradeIdentifierReference" type="PartyTradeIdentifierReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.